| Bsoft 2.0.5 Bernard's software package

Functions
mg_refine.h File Reference

Reciprocal space refinement of orientation parameters of particle images. More...

`#include "mg_processing.h"`
`#include "rwimg.h"`
`#include "symmetry.h"`

Go to the source code of this file.

## Functions
long | mg_refine_orientations (Bproject *project, Bstring &reffile, Bstring &maskfile, Bstring &sym_string, int part_select, int max_iter, double alpha_step, double accuracy, double shift_step, double shift_accuracy, int fom_type, vector< double > weight, double hi_res, double lo_res, int kernel_width, int kernel_power, double edge_radius, double def_std, double shift_std, double view_std, double max_angle, double max_mag, int flags)
| Refine the orientation and origin with respect to a reference map. More...
long | project_refine_orientations (Bproject *project, Bstring &reffile, Bstring &maskfile, Bstring &sym_string, int part_select, int max_iter, double alpha_step, double accuracy, double shift_step, double shift_accuracy, int fom_type, vector< double > weight, double hi_res, double lo_res, int kernel_width, int kernel_power, double edge_radius, double def_std, double shift_std, double view_std, double max_angle, double max_mag, int flags)

## Detailed Description

Reciprocal space refinement of orientation parameters of particle images.

Author
  Bernard Heymann

Date
  Created: 20070115
  Modified: 20190207

Definition in file mg_refine.h.

## Function Documentation

## ◆ mg_refine_orientations()

long mg_refine_orientations | ( | Bproject * | project,
|  | Bstring & | reffile,
|  | Bstring & | maskfile,
|  | Bstring & | sym_string,
|  | int | part_select,
|  | int | max_iter,
|  | double | alpha_step,
|  | double | accuracy,
|  | double | shift_step,
|  | double | shift_accuracy,
|  | int | fom_type,
|  | vector< double > | weight,
|  | double | hi_res,
|  | double | lo_res,
|  | int | kernel_width,
|  | int | kernel_power,
|  | double | edge_radius,
|  | double | def_std,
|  | double | shift_std,
|  | double | view_std,
|  | double | max_angle,
|  | double | max_mag,
|  | int | flags
| ) |  |

Refine the orientation and origin with respect to a reference map.

Parameters

  *project | image processing parameter structure.
  &reffile | file containing reference map.
  &maskfile | file containing a real space mask (can be empty).
  &sym_string | point group symmetry designator.
  part_select | particle selection for processing.
  max_iter | Monte Carlo maximum number of refining iterations.
  alpha_step | grid search angular step size.
  accuracy | grid search accuracy.
  shift_step | grid shift size.
  shift_accuracy | grid shift accuracy.
  fom_type | type of resolution measure: 0=FRC, 1=DPR
  weight | 1D reciprocal space weight curve.
  hi_res | high resolution limit (angstrom).
  lo_res | low resolution limit (angstrom).
  kernel_width | interpolation kernel width.
  kernel_power | interpolation kernel power.
  edge_radius | edge radius to mask background using previous origin.
  def_std | random defocus standard deviation
  shift_std | random origin shift standard deviation.
  view_std | random view shift standard deviation.
  max_angle | maximum random rotation angle adjustment.
  max_mag | maximum magnification adjustment.
  flags | option flags.

Returns
  long number of comparisons, <0 on error.

      The orientation, origin, magnitude and defocus are refined for each particle.
      The default method uses a grid search around the existing view and origin.
      Specifying the maximum number of iterations switches the algorithm to a
      Monte Carlo search for the best parameters.
      The FOM is either based on the FSC or the DPR.

Definition at line 77 of file mg_refine.cpp.

## ◆ project_refine_orientations()

long project_refine_orientations | ( | Bproject * | project,
|  | Bstring & | reffile,
|  | Bstring & | maskfile,
|  | Bstring & | sym_string,
|  | int | part_select,
|  | int | max_iter,
|  | double | alpha_step,
|  | double | accuracy,
|  | double | shift_step,
|  | double | shift_accuracy,
|  | int | fom_type,
|  | vector< double > | weight,
|  | double | hi_res,
|  | double | lo_res,
|  | int | kernel_width,
|  | int | kernel_power,
|  | double | edge_radius,
|  | double | def_std,
|  | double | shift_std,
|  | double | view_std,
|  | double | max_angle,
|  | double | max_mag,
|  | int | flags
| ) |  |

Definition at line 251 of file mg_refine.cpp.